dataset:
  name: wn18
  num_entities: 40943
  num_relations: 18
entity_ranking:
  metrics_per:
    relation_type: true
eval:
  batch_size: 256
  trace_level: example
import:
- rescal
- reciprocal_relations_model
lookup_embedder:
  dim: 256
  initialize: xavier_uniform_
  initialize_args:
    normal_:
      mean: 0.0
      std: 0.0027452953967162064
    uniform_:
      a: -0.7461025531688481
    xavier_normal_:
      gain: 1.0
    xavier_uniform_:
      gain: 1.0
model: reciprocal_relations_model
negative_sampling:
  implementation: batch
  num_samples:
    p: -1
reciprocal_relations_model:
  base_model:
    relation_embedder:
      dim: 65536
    type: rescal
rescal:
  entity_embedder:
    dropout: 0.46531374032890227
    regularize_weight: 5.116940665766654e-09
  relation_embedder:
    dropout: 0.38594622673484935
    regularize_weight: 2.5263177120255504e-08
train:
  auto_correct: true
  batch_size: 256
  loss_arg: 1.0
  lr_scheduler: ReduceLROnPlateau
  lr_scheduler_args:
    factor: 0.95
    mode: max
    patience: 6
    threshold: 0.0001
  max_epochs: 400
  optimizer_args:
    lr: 0.164019723382278
  type: 1vsAll
valid:
  early_stopping:
    min_threshold:
      epochs: 50
      metric_value: 0.05
    patience: 10

